#!/bin/ksh

VERSION=3.6.2.0
ETAJ_HOME=$RTSDK_JAVA_HOME/Java/Eta
EMAJ_HOME=$RTSDK_JAVA_HOME/Java/Ema
BINPAK=$RTSDK_JAVA_HOME/RTSDK-BinaryPack/Java
JAVA=$JAVA_HOME/bin/java

CLASSPATH=./bin:$EMAJ_HOME/Libs/ema-$VERSION.jar:$ETAJ_HOME/Libs/eta-$VERSION.jar:$ETAJ_HOME/Libs/etaValueAdd-$VERSION.jar:$ETAJ_HOME/Libs/etajConverter-$VERSION.jar:$BINPAK/Ema/Libs/apache/commons-collections-3.2.2.jar:$BINPAK/Ema/Libs/apache/commons-configuration-1.10.jar:$BINPAK/Ema/Libs/apache/commons-lang-2.6.jar:$BINPAK/Ema/Libs/apache/commons-logging-1.2.jar:$BINPAK/Eta/Libs/SLF4J/slf4j-1.7.12/slf4j-api-1.7.12.jar:$BINPAK/Eta/Libs/SLF4J/slf4j-1.7.12/slf4j-jdk14-1.7.12.jar:$BINPAK/Eta/Libs/ApacheClient/httpcore-4.4.13.jar:$BINPAK/Eta/Libs/ApacheClient/httpcore-nio-4.4.12.jar:$BINPAK/Eta/Libs/ApacheClient/httpclient-4.5.13.jar:$BINPAK/Eta/Libs/json-20180130.jar:$BINPAK\Eta\Libs\jackson-core-2.11.0.jar:$BINPAK\Eta\Libs\jackson-databind-2.11.0.jar:$BINPAK\Eta\Libs\lz4-java-1.7.1.jar

function run
{
   printf "Running tutorial $1...\n"
   $JAVA -cp $CLASSPATH com.refinitiv.ema.tutorials.consumer.tutorial$1.basicConsumer ${@:2}
}

arg="${1}"
case ${arg} in
   "1")
      run 1
      ;;
   "2")
      run 2
      ;;
   "3")
      run 3
      ;;
   "4")
      run 4
      ;;
   "5")
      run 5
      ;; 
   *)
      echo =====================================================================
      echo Which tutorial do you want to run?  Valid tutorials: 1, 2, 3, 4, 5
      echo "   Eg: sh $0 1"
      echo =====================================================================
      exit 0
      ;;
esac
